Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTextAreaUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TextUI
                  |
                  +--javax.swing.plaf.basic.BasicTextUI
                        |
                        +--javax.swing.plaf.basic.BasicTextAreaUI

All Implemented Interfaces:
  ViewFactory

public class BasicTextAreaUI
extends BasicTextUI

Provides the look and feel for a plain text editor. In this implementation the default UI is extended to act as a simple view factory.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Inner classes inherited from class javax.swing.plaf.basic.BasicTextUI
`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

Constructor Summary
`BasicTextAreaUI()` Constructs a new BasicTextAreaUI object.

Method Summary
`View` | `create(Element elem)` Creates the view for an element.
`static ComponentUI` | `createUI(JComponent ta)` Creates a UI for a JTextArea.
`protected String` | `getPropertyPrefix()` Fetches the name used as a key to look up properties through the UIManager.
`protected void` | `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed on the associated JTextComponent.

Methods inherited from class javax.swing.plaf.basic.BasicTextUI
`create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTextAreaUI

    public BasicTextAreaUI()

  Constructs a new BasicTextAreaUI object.

Method Detail

### createUI

    public static ComponentUI createUI(JComponent ta)

  Creates a UI for a JTextArea.
  Parameters:
    `ta` - a text area
  Returns:
    the UI

### getPropertyPrefix

    protected String getPropertyPrefix()

  Fetches the name used as a key to look up properties through the UIManager. This is used as a prefix to all the standard text properties.
  Overrides:
    `getPropertyPrefix` in class `BasicTextUI`
  Returns:
    the name ("TextArea")

### propertyChange

    protected void propertyChange(PropertyChangeEvent evt)

  This method gets called when a bound property is changed on the associated JTextComponent. This is a hook which UI implementations may change to reflect how the UI displays bound properties of JTextComponent subclasses. This is implemented to rebuild the View when the WrapLine or the WrapStyleWord property changes.
  Overrides:
    `propertyChange` in class `BasicTextUI`
  Parameters:
    `evt` - the property change event

### create

    public View create(Element elem)

  Creates the view for an element. Returns a WrappedPlainView or PlainView.
  Overrides:
    `create` in class `BasicTextUI`
  Parameters:
    `elem` - the element
  Returns:
    the view

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.